#!/bin/csh
#
# Example script to take all .asc files in current working directory and combine them
#  into one file of x,y,z triples that can be used by GMT's xyz2grd.
#
# Format of output file is easting, northing, elevation
#
# Final file is written out to 'temp01'
#

#------------------------------------------------------------------------------------------------#
# Compile code that reads in the .asc file format 
#------------------------------------------------------------------------------------------------#
g95 -O4 -ftrace=full Lidar_ASC2XYZ.f90 -o lid.x
#------------------------------------------------------------------------------------------------#

#------------------------------------------------------------------------------------------------#
# Loop through all .asc files concatenating them all into file 'temp01'
#------------------------------------------------------------------------------------------------#
ls *.asc >! flist
@ nr = `awk 'END {print NR}' flist`
@ n = 1
while ($n <= $nr)
set if = `awk 'NR == '$n' {print $1}' flist`
echo $if

./lid.x << EGG
$if
EGG

if ($n == 1) then
  mv temp temp01
else
  cat temp01 temp >! temp02
  mv temp02 temp01
endif

@ n = $n + 1
end
#------------------------------------------------------------------------------------------------#

#------------------------------------------------------------------------------------------------#
# Remove temporary files
#------------------------------------------------------------------------------------------------#
rm flist
rm lid.x
rm temp
#------------------------------------------------------------------------------------------------#


